<template>
    <div class="dialog-table-container">
        <!-- @expand-change="expandChange" -->
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="76vh"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column type="expand" label="点击查看详情" width="100">
                <template
                    slot-scope="props"
                    v-if="props.row.updateVOS && props.row.updateVOS.length"
                >
                    <div class="dialog-table-expand">
                        <template
                            v-if="
                                props.row.updateVOS &&
                                props.row.updateVOS.length
                            "
                        >
                            <div class="jc-title">迭代举措：</div>
                            <el-row>
                                <el-card
                                    class="box-card"
                                    v-for="(update, index) in props.row
                                        .updateVOS"
                                    :key="index"
                                >
                                    <div class="jc-item">
                                        原举措：{{ update.oldName }}
                                    </div>
                                    <div class="jc-item">
                                        迭代后举措：{{ update.newName }}
                                    </div>
                                    <div class="jc-item">
                                        迭代依据：{{ update.cause }}
                                    </div>
                                </el-card>
                            </el-row>
                        </template>
                        <template
                            v-if="props.row.addVOS && props.row.addVOS.length"
                        >
                            <div class="jc-title">新增举措：</div>
                            <el-row>
                                <el-card
                                    class="box-card"
                                    v-for="(add, index) in props.row.addVOS"
                                    :key="index"
                                >
                                    <div class="jc-item">
                                        举措名称：{{ add.name }}
                                    </div>
                                    <div class="jc-item">
                                        新增依据：{{ add.cause }}
                                    </div>
                                </el-card>
                            </el-row>
                        </template>
                    </div>
                </template>
            </el-table-column>
            <el-table-column
                type="index"
                label="序号"
                width="80"
            ></el-table-column>
            <el-table-column prop="projectName" label="项目名称" width="320">
            </el-table-column>
            <el-table-column
                prop="updateNum"
                label="迭代举措数"
                show-overflow-tooltip
            >
            </el-table-column>
            <el-table-column
                prop="addNum"
                label="新增举措数"
                show-overflow-tooltip
            >
            </el-table-column>
            <el-table-column
                prop="iterationSn"
                label="排位"
                show-overflow-tooltip
            >
            </el-table-column>
        </el-table>
        <!--    <pagenation @currentChange="pageChange" class="pagenation"></pagenation>-->
    </div>
</template>

<script>
import pagenation from './pagenation.vue'
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'iterationList',
    components: {pagenation},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [
                {
                    id: 1,
                    projectName: '推动数字重庆建设',
                    updateNum: 31,
                    iterationSn: 1,
                    addNum: 0,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 2,
                    projectName: '全市开发区（园区）数',
                    updateNum: 26,
                    iterationSn: 2,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 3,
                    projectName: '探索制造业“亩均论英雄”改革',
                    updateNum: 23,
                    iterationSn: 3,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 4,
                    projectName: '实施国企战略性重组和专业化整合',
                    updateNum: 22,
                    iterationSn: 4,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 5,
                    projectName: '建立企业上市助推机制',
                    updateNum: 21,
                    iterationSn: 5,
                    addNum: 2,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 6,
                    projectName: '探索强村富民综合改革',
                    updateNum: 15,
                    iterationSn: 6,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 7,
                    projectName: '探索经济区与行政区适度分离改革',
                    updateNum: 13,
                    iterationSn: 7,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 8,
                    projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
                    updateNum: 12,
                    iterationSn: 8,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 9,
                    projectName: '打造“信用重庆”升级版',
                    updateNum: 11,
                    iterationSn: 9,
                    addNum: 2,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 10,
                    projectName: '建设政企学研深度融合的现代职教体系',
                    updateNum: 9,
                    iterationSn: 10,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 11,
                    projectName: '健全平安重庆风险闭环管控机制',
                    updateNum: 7,
                    iterationSn: 11,
                    addNum: 2,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 12,
                    projectName: '推进渝警数智“情指行”一体化现代警务改革',
                    updateNum: 5,
                    iterationSn: 12,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 13,
                    projectName: '建立领导班子运行评估和群众口碑评价机制',
                    updateNum: 4,
                    iterationSn: 13,
                    addNum: 2,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 14,
                    projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
                    updateNum: 3,
                    iterationSn: 14,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
                {
                    id: 15,
                    projectName: '实施投融资多元化改革',
                    updateNum: 2,
                    iterationSn: 15,
                    addNum: 1,
                    updateVOS: [
                        {
                            oldName: '原举措名',
                            newName: '新举措名',
                            cause: '依据',
                        },
                    ],
                    addVOS: [
                        {
                            name: '举措名',
                            cause: '依据',
                        },
                    ],
                },
            ],
            // tableData: [],
        }
    },
    mounted() {
        // this.loadData()
    },
    methods: {
        //--------数据-----------
        loadData() {
            this.getProjectBrand()
        },
        expandChange(row, expandedRows) {
            console.log(row, expandedRows)
        },
        // 迭代榜
        getProjectBrand() {
            this.loading = true
            let data = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                sorter: [
                    {
                        direction: 'DESC',
                        property: 'iterationSn',
                    },
                ],
            }
            apiList.getIteration(data, (res) => {
                if (res && res.rows) {
                    this.tableData = res.rows
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.box-card {
    flex: 1;
    width: 100%;
    background-color: #032f79;
    border: 1px dashed #3a79e6;
    color: #fff;
    margin-bottom: 10px;
    .jc-item{
        margin-bottom: 4px;
        font-family: SimHei;
    } 
}
.jc-title{
    font-size: 16px;
    font-family: SimHei;
    font-weight: 400;
    color: #fff;
    margin: 20px 0 10px;
}
.flex-space-a{
    display: flex;
    justify-content: space-around;
    align-items: center
}
</style>
<style lang="scss">
@import './table.scss';
</style>
